> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Midjourney Video Extend

> Generate four videos by extending from the previous video result <br/> This endpoint interaction is consistent with midjourney image generation endpoint, an **asynchronous task**



## OpenAPI

````yaml openapi/en/sora.json POST /midjourney/video/extend
openapi: 3.1.0
info:
  title: Sora API DOCS
  version: 1.0.0
  description: TTAPI Sora API service
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /midjourney/video/extend:
    post:
      description: >-
        Generate four videos by extending from the previous video result <br/>
        This endpoint interaction is consistent with midjourney image generation
        endpoint, an **asynchronous task**
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExtendRequest'
      responses:
        '200':
          $ref: '#/components/responses/SuccessResponse'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  schemas:
    ExtendRequest:
      type: object
      properties:
        jobId:
          type: string
          description: >-
            Job ID of the previous task. Note: The previous task must be in
            completed status to continue the video
        index:
          type: int
          description: >-
            Select which video to continue from <br/>Choose one from the four
            videos in the previous task<br/>0 represents the first video, 1
            represents the second, etc.
          enum:
            - 0-3
        manual:
          type: string
          description: Motion intensity. low - Low motion, high - High motion
          default: low
        animateMode:
          type: string
          description: Animation mode
          enum:
            - auto
            - manual
          default: auto
        bs:
          type: int
          enum:
            - '1'
            - '2'
            - '4'
          default: '4'
          description: Number of videos to generate in batch
        hookUrl:
          type: string
          description: >-
            Callback notification URL. When task completes or fails, this URL
            will be notified. <a href="fetch" target="_self">Notification data
            structure</a> is consistent with fetch structure. If not set, you
            need to request the <a href="fetch" target="_self">fetch
            interface</a> for query
      required:
        - jobId
        - index
  responses:
    SuccessResponse:
      description: Request successful
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: SUCCESS
              message:
                type: string
                example: success
              data:
                type: object
                example:
                  jobId: jobId
            required:
              - status
              - message
              - data
    400Response:
      description: Parameter error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Authorization failed
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        You can obtain your API key from the <a
        href='https://dashboard.ttapi.io' target='_blank'>TTAPI Dashboard</a>.

````